/*  wc.ccp

    Copyright (c) 2002 by Grundic Studio
    All Rights Reserved.
    History:
    [+] 23.12.02 Creation Word Count v1.0

*/
#include <iostream.h>
#include <fstream.h>
#include <stdio.h>
#include "rustr.h"

void help()
{
  cout << "Word Count [v1.0] Copyright (c) 2002 by Grundic Studio\n\n";
  cout << "WC [" << rustr("afqk") << "] [/C] [/W] [/L]\n\n";
  cout << "  [" << rustr("afqk") << "]   - " << rustr("bvz afqkf\n");
  cout << "  /C       - " << rustr("dsdjl rjkbxtcndf cbvdjkjd\n");
  cout << "  /W       - " << rustr("dsdjl rjkbxtcndf ckjd\n");
  cout << "  /L       - " << rustr("dsdjl rjkbxtcndf cnhjr\n");
}

int main(int n, char **cmd)
{
  bool cc = false;
  bool cw = false;
  bool cl = false;
  cout << "\n";
  if (n == 1)
  {
    help();
    return 0;
  }
  char *file_name = cmd[1];
  for (int i = 0; i < n; i++)
  {
       if (!strcoll(cmd[i] , "/?"))
       {
         help();
         return 0;
       }
       if (! ( strcoll(cmd[i] , "/c"))|(!strcoll(cmd[i] , "/C") ) )
         cc = true;
       if (! ( strcoll(cmd[i] , "/w"))|(!strcoll(cmd[i] , "/W") ) )
         cw = true;
       if (! ( strcoll(cmd[i] , "/l"))|(!strcoll(cmd[i] , "/L") ) )
         cl = true;
  }
  if (!cc && !cw && !cl)
     {
       cc = true;
       cw = true;
       cl = true;
     }
  ifstream infile;
  infile.open(file_name);
  if (!infile)
     {
       cout << rustr("jib,rf jnrhsnbz afqkf : ") << file_name;
       return 0;
     }
  char next;
  int c_vaule = 0;
  int w_vaule = 0;
  int l_vaule = 0;
  bool spece = false;
  while(1)
     {
       next = infile.peek();
       if (!infile.get(next)) break;
       // counter c
       if (cc)
          if (!((next == '\n') || (next == ' '))) c_vaule++;
       // counter word
       if (cw)
          if (spece && (next == ' ' || next == '\n'))
             {
               w_vaule++;
               spece = false;
             }
          if (next != ' ' && next != '\n') spece = true;
       // counter line
       if (cl)
          if (next == '\n') l_vaule++;       
       //infile.get();
     }
  cout << "Word Count [v1.0] Copyright (c) 2002 by Grundic Studio\n\n";
  if (cc)
     cout << rustr("cbvdjkjd :") << c_vaule << "\n";
  if (cw)
     cout << rustr("ckjd     :") << w_vaule << "\n";
  if (cl)
     cout << rustr("cnhjr    :") << l_vaule << "\n";
}
